summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-08-05 15:47:32 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-08-05 15:47:32 +0200
commitee7170f928d0d51828f14a3ce74233004f10de02 (patch)
treefdab04a199cf56d7fab8e49700c440694fdd678f /dev-vcs/gitolite
parentwww-apps/gitea: Version bump to 1.4.3 (diff)
downloadgentoo-ee7170f928d0d51828f14a3ce74233004f10de02.tar.gz
gentoo-ee7170f928d0d51828f14a3ce74233004f10de02.tar.bz2
gentoo-ee7170f928d0d51828f14a3ce74233004f10de02.zip
dev-vcs/gitolite: Version bump to 3.6.8
Closes: https://bugs.gentoo.org/661176 Package-Manager: Portage-2.3.44, Repoman-2.3.10
Diffstat (limited to 'dev-vcs/gitolite')
-rw-r--r--dev-vcs/gitolite/Manifest1
-rw-r--r--dev-vcs/gitolite/gitolite-3.6.8.ebuild102
2 files changed, 103 insertions, 0 deletions
diff --git a/dev-vcs/gitolite/Manifest b/dev-vcs/gitolite/Manifest
index ef0898c10e7..c1091cc999e 100644
--- a/dev-vcs/gitolite/Manifest
+++ b/dev-vcs/gitolite/Manifest
@@ -6,4 +6,5 @@ DIST gitolite-3.6.4.tar.gz 180619 BLAKE2B 183769c8dce0d4fcba10ad57b29b56913493b3
DIST gitolite-3.6.5.tar.gz 182496 BLAKE2B 478bed0642886ee8b79b1e6c2091482a43663a644c46758ef3c9c55308b10bfa4c4608456e24214bad04607c49487df213e5bff84abb5529c9b0759c39f9288b SHA512 60796663a87c2b169c08e4e26edfb76408428887d3e932677f4ca95a8c7f82e9e300a7400d3d900c371628b23972be063444b7c036218f6ff0ab13626a886f90
DIST gitolite-3.6.6.tar.gz 183469 BLAKE2B 91b1b04820f8abe427c7d6a81131a9fce1ff3df8d06c3f1d7515ead91b654048ef24b391fc28f2fe9c6dd0e502e24064a55b5fee8c1da34e3d07974c8f203c26 SHA512 1529330ed2afa315fcb650c55d515e5d4b61921f46b4d763a759537434492959f100d2219ab7673e568d46f397a25a45d4388fe3827ea988333fc8719820f8bc
DIST gitolite-3.6.7.tar.gz 186298 BLAKE2B 32ccedce5cfe877d69f66ccc354300b1b363de0ac16bf8ec6d97010441d1e5a95e63252c833604d7e4e5b90dd4d84b4e262ee5ed092df80631e7478500e3da97 SHA512 d22bf5c34834f82df771e6d4527496a302da312f7f78dfe81c1284f5a1ea05de90ec217e03e94918d69a006a72fa16dc0006b1f555826ad6183d9dce2dd9d425
+DIST gitolite-3.6.8.tar.gz 197551 BLAKE2B 9788c06885fc7fc8edf422080628f465b33dea2aec8090daf330206041e4776bbae7189b343fc604b0959be556a15016d656b4df133f784d55bc7a6b701ad8ef SHA512 f65d4e4354079f868c9f9a943efb84ad4e29f96c69a3792c13dda383dac0133baa3d93925967c6be71e923b27e0ad91b57b5f1245cf64eeec0f0b719cbda4270
DIST gitolite-3.6.tar.gz 156481 BLAKE2B 4cb36e631c458c529d51689bb9612ede34b352d523b62afefed70ab90fadbda1c1d954400c5ddf407ef57a3df8371814c73fdcc526bf3750dad9bfa10f1e7747 SHA512 91606a5fed202f0da2194310bc7da8e5d35cdfa2924b009ed3447ba41e2fd856b9043f1b57d16600ec44f17d640e9ee988b4086bea032827bf5fca83e5ff024f
diff --git a/dev-vcs/gitolite/gitolite-3.6.8.ebuild b/dev-vcs/gitolite/gitolite-3.6.8.ebuild
new file mode 100644
index 00000000000..8d75699aad7
--- /dev/null
+++ b/dev-vcs/gitolite/gitolite-3.6.8.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="https://github.com/sitaramc/${PN}.git"
+EGIT_MASTER=master
+
+inherit perl-module user versionator ${SCM}
+
+DESCRIPTION="Highly flexible server for git directory version tracker"
+HOMEPAGE="https://github.com/sitaramc/gitolite"
+if [[ ${PV} != *9999 ]]; then
+ SRC_URI="https://github.com/sitaramc/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+else
+ SRC_URI=""
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="selinux tools"
+
+DEPEND="dev-lang/perl
+ virtual/perl-File-Path
+ virtual/perl-File-Temp
+ >=dev-vcs/git-1.6.6"
+RDEPEND="${DEPEND}
+ !app-vim/gitolite-syntax
+ !dev-vcs/gitolite-gentoo
+ selinux? ( sec-policy/selinux-gitosis )
+ dev-perl/JSON"
+
+PATCHES=( )
+
+pkg_setup() {
+ enewgroup git
+ enewuser git -1 /bin/sh /var/lib/gitolite git
+}
+
+src_prepare() {
+ default
+ echo $PF > src/VERSION || die
+}
+
+src_install() {
+ local uexec=/usr/libexec/${PN}
+
+ rm -rf src/lib/Gitolite/Test{,.pm}
+ insinto $VENDOR_LIB
+ doins -r src/lib/Gitolite
+
+ dodoc README.markdown CHANGELOG
+ # These are meant by upstream as examples, you are strongly recommended to
+ # customize them for your needs.
+ dodoc contrib/utils/ipa_groups.pl contrib/utils/ldap_groups.sh
+
+ insinto /usr/share/vim/vimfiles
+ doins -r contrib/vim/*
+
+ insopts -m0755
+ insinto $uexec
+ doins -r src/{commands,syntactic-sugar,triggers,VREF}/
+ doins -r contrib/{commands,triggers,hooks}
+
+ insopts -m0644
+ doins src/VERSION
+
+ exeinto $uexec
+ doexe src/gitolite{,-shell}
+
+ dodir /usr/bin
+ for bin in gitolite{,-shell}; do
+ dosym /usr/libexec/${PN}/${bin} /usr/bin/${bin}
+ done
+
+ if use tools; then
+ dobin check-g2-compat convert-gitosis-conf
+ dobin contrib/utils/rc-format-v3.4
+ fi
+
+ keepdir /var/lib/gitolite
+ fowners git:git /var/lib/gitolite
+ fperms 750 /var/lib/gitolite
+
+ fperms 0644 ${uexec}/VREF/MERGE-CHECK # It's meant as example only
+}
+
+pkg_postinst() {
+ if [[ "$(get_major_version $REPLACING_VERSIONS)" == "2" ]]; then
+ ewarn
+ elog "***NOTE*** This is a major upgrade and will likely break your existing gitolite-2.x setup!"
+ elog "Please read http://gitolite.com/gitolite/migr/index.html first!"
+ fi
+
+ # bug 352291
+ ewarn
+ elog "Please make sure that your 'git' user has the correct homedir (/var/lib/gitolite)."
+ elog "Especially if you're migrating from gitosis."
+ ewarn
+}